#! /bin/bash
# Exchange left Ctrl and Cmd keys for Mac shortcuts

# Must be run as root
if [ "$EUID" -ne 0 ]
  then echo "Please run keyreconfiguremac as root"
  exit 1
fi

# First make sure we have a copy of the original 'pc' layout, and a mac-modified version
if [ ! -f "/usr/share/X11/xkb/pc_orig" ]; then \
  # Make a copy of pc symbols there
  cp /usr/share/X11/xkb/symbols/pc /usr/share/X11/xkb/pc_orig
  # Create a modified version for Mac shortcuts
  sed -e 's/key <LWIN>/key <LCTL>/' -e t -e 's/key <LCTL>/key <LWIN>/' /usr/share/X11/xkb/pc_orig > /usr/share/X11/xkb/pc_mac
fi
# Now, copy the mac version to symbols/pc and reconfigure the keyboard
cp /usr/share/X11/xkb/pc_mac /usr/share/X11/xkb/symbols/pc
setxkbmap -layout $(setxkbmap -print | awk -F"+" '/xkb_symbols/ {print $2}')

