#!/bin/bash
# Very simple autoinstall feature for the SciViews box 2018
# TODO: a better interface and provide more info about the app to be installed,
# including the possibility to vien the autoinstall.sh script
#
# 1) Copy any *.autoinstall file from /home/sv/Downloads to /home/sv/shared/install/auto
mv -f /home/sv/Downloads/*.autoinstall /home/sv/shared/install/auto 2> /dev/null

# 2) Look in ~/Shared/Install/Auto any *.autoinstall file
#    (they are indeed .tar.gz files) => untar and delete them
curr_dir=`pwd`
cd /home/sv/shared/install/auto
for F in *.autoinstall; do tar -zxvf "$F" 2> /dev/null && rm -f "$F"; done

# 3) Look in ~/shared/install/auto any directory
# If the directory contains an autoinstall.sh file
# ask to run it, and rename it install.sh to avoid further autorun
app_installed="no"
# Install a dialog box to prompt for password for sudo
echo '#!/bin/bash
yad --on-top --title "sudo password prompt" \
  --text="<b>Enter your password</b>\n\nThe installer needs it for administrative tasks.\n\n" \
  --window-icon=dialog-password --image=dialog-password --borders=6 --center --fixed \
  --entry --hide-text 2> /dev/null
' > /home/sv/.config/svbox/askpass
chmod +x /home/sv/.config/svbox/askpass
# Look for autoinstall.sh scripts and run them
for D in *; do [ -d "$D" ] && [ -f "./$D/autoinstall.sh" ] &&
    cd "$D" &&
    mv autoinstall.sh install.sh &&
    zenity --question --text="Do you want to install $D?" &> /dev/null &&
    xfce4-terminal --drop-down --title="$D" --working-directory="/home/sv/shared/install/auto/$D" --icon="/usr/share/app-install/icons/system-software-update.svg" -e 'bash -c "export SUDO_ASKPASS=\"/home/sv/.config/svbox/askpass\"; ./install.sh"' &> /dev/null &&
    cd /home/sv/shared/install/auto &&
    mkdir -p /home/sv/.config/svbox &&
    if [ "$(tail -n 1 -q /home/sv/.config/svbox/installed-apps 2> /dev/null)" != "$D" ]; then \
      echo "$D" >> /home/sv/.config/svbox/installed-apps; fi &&
    app_installed="yes"
done
cd $curr_dir

# 4) Refresh /etc/svboxinfo if something was installed
if [ "$app_installed" == "yes" ]; then \
  svinforefresh; fi
