#! /bin/bash
svbox=$(cat /etc/svbox)
ubuver="Xubuntu 16.04 64-bit (amd64)"
uburepos=$(apt-cache policy | grep http | awk '{print $2 $3}' | sort -u)
ubupkg=$(dpkg --get-selections | expand)
rver=$(R --version | head -n 1)
rrepos=$(R --slave -e "cat(getOption('repos'))")
nrpkg=$(R --slave -e "cat(nrow(installed.packages()))")
rpkg=$(R --slave -e "base::write(t(installed.packages()[, c(1, 3)]), file = '', ncolumns = 2, sep = '==')")
pythonver=$(python3 --version)
npypkg=$(pip3 freeze | wc -l)
pypkg=$(pip3 freeze)
if [ -f /home/sv/.config/svbox/installed-apps ]
then
  apps=$(cat /home/sv/.config/svbox/installed-apps)
else
  apps="none"
fi

# Refresh information on /home/sv/.config/svbox/info
mkdir -p /home/sv/.config/svbox
echo "$svbox

# General configuration: ----------------------------
$ubuver
$pythonver
$npypkg Python packages installed
$rver
R repository $rrepos
$nrpkg R packages installed


# SciViews applications: ----------------------------
$apps


# Python packages: ----------------------------------
$pypkg


# R packages: ---------------------------------------
$rpkg


# Ubuntu packages selection state: ------------------
$ubupkg


# Ubuntu repositories: ------------------------------
${uburepos//http:\/\//}
" > /home/sv/.config/svbox/info
