#! /bin/bash
# Change password for user 'sv', including in Jupyter

# Must be run as root
if [ "$EUID" -ne 0 ]
  then echo "Please run as root"
  exit 1
fi

if [ -z "$1" ]
  then echo "Syntax is: svpassword <newpassword>"
  exit 1
fi

# Change password for user 'sv'
echo -e "$1\n$1" | passwd "sv" 2>/dev/null

# Also make change in Jupyter
cmd="from notebook.auth import passwd; print('\'' + passwd('$1') + '\'')"
sha=$(python3 -c "$cmd")
sed -i -E "s/^(.+NotebookApp.password=).+$/\1$sha/" /usr/lib/systemd/system/jupyter.service

# Restart rstudio and jupyter services
#systemctl daemon-reload
#systemctl restart jupyter.service
#rstudio-server force-suspend-all
#rstudio-server restart

# We prefer to ask to reboot
echo "Password changed, reboot now please."

